Bug 602102 - bitlbee avc denial in fips mode enabled
bitlbee avc denial in fips mode enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 02:55 EDT by Jiri Kastner
Modified: 2012-10-16 06:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-06-09 02:55:18 EDT
Summary:

SELinux is preventing /usr/sbin/bitlbee "create" access .

Detailed Description:

[bitlbee has a permissive type (bitlbee_t). This access was not denied.]

SELinux denied access requested by bitlbee. It is not expected that this access
is required by bitlbee and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:bitlbee_t:s0-s0:c0.c1023
Target Context                system_u:system_r:bitlbee_t:s0-s0:c0.c1023
Target Objects                None [ unix_dgram_socket ]
Source                        bitlbee
Source Path                   /usr/sbin/bitlbee
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bitlbee-1.2.7-1.el6
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.el6
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux localhost.localdomain 2.6.32-33.el6.x86_64
                              #1 SMP Thu Jun 3 13:00:03 EDT 2010 x86_64 x86_64
Alert Count                   16
First Seen                    Tue 08 Jun 2010 08:35:50 AM CEST
Last Seen                     Tue 08 Jun 2010 08:36:25 AM CEST
Local ID                      6b6281e9-233f-4c64-bba8-586e45bba09e
Line Numbers                  

Raw Audit Messages            

node=dhcp-29-199.brq.redhat.com type=AVC msg=audit(1275978985.885:68): avc:  denied  { create } for  pid=2999 comm="bitlbee" scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tclass=unix_dgram_socket

node=dhcp-29-199.brq.redhat.com type=SYSCALL msg=audit(1275978985.885:68): arch=c000003e syscall=41 success=yes exit=73014444160 a0=1 a1=80002 a2=0 a3=1 items=0 ppid=1977 pid=2999 auid=4294967295 uid=493 gid=486 euid=493 suid=493 fsuid=493 egid=486 sgid=486 fsgid=486 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)
Comment 1 RHEL Product and Program Management 2010-06-09 03:13:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Daniel Walsh 2010-06-09 17:32:15 EDT
Miroslav grab the bittlebee policy out of rawhide.
Comment 3 Miroslav Grepl 2010-06-10 02:39:43 EDT
Fixed in selinux-policy-3.7.19-24.el6.noarch
Comment 6 releng-rhel@redhat.com 2010-11-11 11:29:06 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.